Summary: Kerberos is a network authentication protocol.
Name: kerberos5
Version: 1.3.6
Release: 8tr
Group: Trustix Official
Source0: krb5-%{version}.tar.gz
Patch0: kerberos5-1.3.4-tempfile.patch
Patch1: kerberos5-1.3.6-telnet.patch
Patch2: krb5-CAN-2004-0175.patch
Patch3: krb5-CAN-2005-1689.patch
Patch4: krb5-CAN-2005-1175.patch 
Patch5: krb5-CVE-2007-0956.patch
Patch6: krb5-CVE-2007-0957.patch
Patch7: krb5-CVE-2007-1216.patch
Patch8: krb5-CVE-2007-2442_2443.patch
Patch9: krb5-CVE-2007-2798.patch
URL: http://web.mit.edu/kerberos
License: Distributable
Requires: libcom_err
BuildRequires: libcom_err-devel
BuildRoot: %{_tmppath}/%{name}-root

%description
(MIT) Kerberos is a network authentication protocol. It is designed to
provide strong authentication for client/server applications by using
secret-key cryptography.  A free implementation of this protocol is
available from the Massachusetts Institute of Technology. Kerberos is
available in many commercial products as well.

%package devel
Group: Trustix Official
Summary: Development libraries for kerberos 5
Requires: %{name}-libs
Requires: libcom_err-devel

%description devel
The kerberos5-devel package contains the development libraries and header files
for MIT kerberos5.

%package libs
Group: Trustix Official
Summary: Kerberos libraries 

%description libs
The kerberos5-libs package contains the kerberos5 libraries.

%description devel


%prep
%setup -q -n krb5-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p1
%patch9 -p1

%build
pushd src
export CFLAGS="${RPM_OPT_FLAGS} %{?no_stack_protector} -DHAVE_VSNPRINTF -I/usr/include/et"
%configure --enable-shared --program-prefix=krb5 --with-system-et
make
popd

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
pushd src
make DESTDIR="$RPM_BUILD_ROOT" install
popd

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT



%files
%defattr(0755,root,root,0755)
%{_bindir}/*
%{_sbindir}/*
%{_datadir}/gnats
%{_mandir}/man8/*
%{_mandir}/man1/*
%{_mandir}/man5/*


%files libs
%{_libdir}/*.so.*

%files devel
%defattr(0755,root,root,0755)
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so

%changelog
* Fri Jun 29 2007 Nived Gopalan <nived at trustix dot org> 1.3.6-8tr
- SECURITY Fix: Some vulnerabilities have been reported in Kerberos,
  which can be exploited by malicious users to compromise a vulnerable
  system.
- An error exists within the "gssrpc__svcauth_gssapi" function in the
  RPC library, which can cause kadmind and possibly other third-party
  products to free an uninitialised pointer when receiving an RPC
  credential with a length of zero.
- A signedness error exists within the "gssrpc__svcauth_unix()" function
  in the RPC library, which is used by kadmind and possibly other
  third-party products. This can be exploited to cause a stack-based
  buffer overflow.
- Fixes stack-based buffer overflow error in kadmind within the
  rename_principal_2_svc function which could allow remote authenticated
  users to execute arbitrary code via a crafted request to rename a
  principal.

  The Common Vulnerabilities and Exposures project (cve.mitre.org)
  has assigned the names CVE-2007-2442, CVE-2007-2443 and CVE-2007-2798
  to these issues.

* Thu Apr 05 2007 Nived Gopalan <nived at trustix dot org> 1.3.6-7tr
- SECURITY Fix: Some vulnerabilities have been reported in Kerberos,
  which can be exploited by malicious users to cause a DoS or
  compromise a vulnerable system.
- An error exists in the MIT krb5 telnet daemon when processing the
  username. This can be exploited to log in as an arbitrary user by
  providing a specially crafted username beginning with "-e".
- A boundary error exists in the "krb5_klog_syslog()" function within
  the kadm5 library, which is used by KDC, kadmind and probably other
  third party products. This can be exploited to cause a stack-based
  buffer overflow via an overly long string.
- A double-free error exists in the "kg_unseal_v1()" function within
  the MIT krb5 GSS-API library, which can potentially be exploited to
  execute arbitrary code, but requires valid credentials.

  The Common Vulnerabilities and Exposures project (cve.mitre.org)
  has assigned the names CVE-2007-0956, CVE-2007-0957 and CVE-2007-1216
  to these issues.

* Mon Jan 30 2006 Nived Gopalan <nived at trustix dot org> 1.3.6-6tr
- Added Requires libcom_err-devel for devel package, Bug #1590.

* Wed Jul 13 2005 Thushara Gopalakrishnan <thushara at comodo dot com> 1.3.6-5tr
- Security Fix: Fix for CAN-2005-1689. The krb5_recvauth() function can
  free previously freed memory under some error conditions.  This vulnerability
  may allow an unauthenticated remote attacker to execute arbitrary code.

- Fix for CAN-2005-1175,In KDC implementation results in single-byte overflow 
  of a heap buffer

- Fix for CAN-2005-1174,that affects the KDC implementation in all MIT krb5
  releases supporting TCP client connections to the KDC.

* Thu Jun 30 2005 Hasher Jamaludeen <hasher at comodo dot com> 1.3.6-4tr
- Security Fix: Fix for CAN-2004-0175 to krb5 rcp based on Markus Friedl's
  fix for OpenSSH scp.

* Wed Jun 08 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 1.3.6-3tr
- Security Fix: Buffer overflows in telnet client
- The telnet client program supplied with MIT Kerberos 5 has buffer
  overflows in the functions slc_add_reply() and env_opt_add(), which
  may lead to remote code execution.
  
  The Common Vulnerabilities and Exposures project (cve.mitre.org) has
  assigned the name CAN-2005-0469 and CAN-2005-0468 to this issue.

* Tue Dec 21 2004 Erlend Midttun <erlendbm at trustix dot org> 1.3.6-2tr
- New upstream.

* Mon Nov  1 2004 Oystein Viggen <oysteivi at trustix dot com> 1.3.5-2tr
- Patch tempfile issue

* Fri Sep 24 2004 Syed Shabir <syedshabir at comodo dot com> 1.3.5-1tr
- New upstream with updated security bugs

* Wed Sep  1 2004 Oystein Viggen <oysteivi at trustix dot com> 1.3.4-2tr
- Patch security bugs

* Fri Jun 17 2004 Chr. Toldnes <christht at trustix dot org> 1.3.4-1tr
- New upstream version: 1.3.4

* Wed Jun  2 2004 Chr. Toldnes <christht at trustix dot org> 1.3.3-1tr
- New upstream version: 1.3.3
- Added patch to fix buffer overflow.

* Tue Feb 11 2004 Tor Hveem <torh at trustix dot org> 1.3.1-4th
- Fixed stupid error with file wildcards.

* Tue Feb 10 2004 Tor Hveem <torh at trustix dot org> 1.3.1-3th
- New package libs.

* Mon Feb  9 2004 Chr. Toldnes <christht at trustix dot org> 1.3.1-2tr
- Use system et (libcom_err)

* Mon Feb  9 2004 Chr. Toldnes <christht at trustix dot org> 1.3.1-1tr
- Initial release for Trustix
- built shared :)  with no stack protection :(
